EDocParser Class Reference documentation

EDocParser Class Referencefinal

the main class to read a eDOC file More...

`#include <EDocParser.hxx>`

Inheritance diagram for EDocParser:

## Public Member Functions
| EDocParser (MWAWInputStreamPtr const &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
| constructor
| ~EDocParser () final
| destructor
bool | checkHeader (MWAWHeader *header, bool strict=false) final
| checks if the document header is correct (or not)
void | parse (librevenge::RVNGTextInterface *documentInterface) final
| virtual function used to parse the input
Public Member Functions inherited from MWAWTextParser
| ~MWAWTextParser () override
| destructor
Public Member Functions inherited from MWAWParser
virtual | ~MWAWParser ()
| virtual destructor
int | version () const
| returns the works version
MWAWParserStatePtr | getParserState ()
| returns the parser state
MWAWHeader * | getHeader ()
| returns the header
MWAWInputStreamPtr & | getInput ()
| returns the actual input
MWAWListenerPtr | getMainListener ()
| returns the main listener
MWAWGraphicListenerPtr & | getGraphicListener ()
| returns the graphic listener
MWAWPresentationListenerPtr & | getPresentationListener ()
| returns the presentation listener
MWAWSpreadsheetListenerPtr & | getSpreadsheetListener ()
| returns the spreadsheet listener
MWAWTextListenerPtr & | getTextListener ()
| returns the text listener
MWAWFontConverterPtr & | getFontConverter ()
| returns the font converter
MWAWFontManagerPtr & | getFontManager ()
| returns the font manager
MWAWPageSpan const & | getPageSpan () const
| returns the actual page dimension
MWAWPageSpan & | getPageSpan ()
| returns the actual page dimension
double | getFormLength () const
| returns the form length
double | getFormWidth () const
| returns the form width
double | getPageLength () const
| returns the page length (form length without margin )
double | getPageWidth () const
| returns the page width (form width without margin )
MWAWRSRCParserPtr & | getRSRCParser ()
| returns the rsrc parser
libmwaw::DebugFile & | ascii ()
| a DebugFile used to write what we recognize when we parse the document

## Protected Member Functions
void | init ()
| inits all internal variables
void | createDocument (librevenge::RVNGTextInterface *documentInterface)
| creates the listener which will be associated to the document
void | newPage (int number)
| adds a new page
bool | createZones ()
| finds the different objects zones
bool | sendContents ()
| try to send the contents
bool | sendIndex ()
| try to send the index
bool | sendPicture (int pictId, bool compressed)
| try to send a picture
bool | readFontsName (MWAWEntry const &entry)
| parse the fonts name eDcF
bool | readIndex (MWAWEntry const &entry)
| parse the index zone
bool | readInfo (MWAWEntry const &entry)
| parse the Info zone
bool | findContents ()
| try to find the content zone
bool | decodeZone (MWAWEntry const &entry, librevenge::RVNGBinaryData &dt)
| try to decode a compress zone
void | flushExtra ()
| sends the data which have not yet been sent to the listener
MWAWInputStreamPtr | rsrcInput ()
| return the input input
libmwaw::DebugFile & | rsrcAscii ()
| a DebugFile used to write what we recognize when we parse the document in rsrc
Protected Member Functions inherited from MWAWTextParser
| MWAWTextParser (MWAWInputStreamPtr const &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
| constructor (protected)
| MWAWTextParser (MWAWParserStatePtr const &state)
| constructor using a state
Protected Member Functions inherited from MWAWParser
| MWAWParser (MWAWParserState::Type type, MWAWInputStreamPtr const &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
| constructor (protected)
| MWAWParser (MWAWParserStatePtr const &state)
| constructor using a state
void | setVersion (int vers)
| sets the document's version
void | setGraphicListener (MWAWGraphicListenerPtr &listener)
| sets the graphic listener
void | resetGraphicListener ()
| resets the listener
void | setPresentationListener (MWAWPresentationListenerPtr &listener)
| sets the presentation listener
void | resetPresentationListener ()
| resets the listener
void | setSpreadsheetListener (MWAWSpreadsheetListenerPtr &listener)
| sets the spreadsheet listener
void | resetSpreadsheetListener ()
| resets the listener
void | setTextListener (MWAWTextListenerPtr &listener)
| sets the text listener
void | resetTextListener ()
| resets the listener
void | setAsciiName (char const *name)
| Debugging: change the default ascii file.
std::string const & | asciiName () const
| return the ascii file name

## Protected Attributes
std::shared_ptr< EDocParserInternal::State > | m_state
| the state

## Friends
class | EDText

## Detailed Description

the main class to read a eDOC file

## Constructor & Destructor Documentation

## ◆ EDocParser()

EDocParser::EDocParser | ( | MWAWInputStreamPtr const & | input,
|  | MWAWRSRCParserPtr const & | rsrcParser,
|  | MWAWHeader * | header )

constructor

## ◆ ~EDocParser()

EDocParser::~EDocParser | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ checkHeader()

bool EDocParser::checkHeader | ( | MWAWHeader * | header,
|  | bool | strict = false )
| finalvirtual

checks if the document header is correct (or not)

no data fork, may be ok, but this means that the file contains no text, so...

Implements MWAWParser.

Referenced by EDText, and parse().

## ◆ createDocument()

void EDocParser::createDocument | ( | librevenge::RVNGTextInterface * | documentInterface | ) |
| protected

creates the listener which will be associated to the document

Referenced by EDText, and parse().

## ◆ createZones()

bool EDocParser::createZones | ( |  | ) |
| protected

finds the different objects zones

Referenced by EDText, and parse().

## ◆ decodeZone()

bool EDocParser::decodeZone | ( | MWAWEntry const & | entry,
|  | librevenge::RVNGBinaryData & | dt )
| protected

try to decode a compress zone

Referenced by EDText, and sendPicture().

## ◆ findContents()

bool EDocParser::findContents | ( |  | ) |
| protected

try to find the content zone

Referenced by createZones(), and EDText.

## ◆ flushExtra()

void EDocParser::flushExtra | ( |  | ) |
| protected

sends the data which have not yet been sent to the listener

Referenced by EDText, and parse().

## ◆ init()

void EDocParser::init | ( |  | ) |
| protected

inits all internal variables

Referenced by EDocParser(), and EDText.

## ◆ newPage()

void EDocParser::newPage | ( | int | number | ) |
| protected

adds a new page

Referenced by EDText, and sendContents().

## ◆ parse()

void EDocParser::parse | ( | librevenge::RVNGTextInterface * | documentInterface | ) |
| finalvirtual

virtual function used to parse the input

Implements MWAWTextParser.

Referenced by EDText.

## ◆ readFontsName()

bool EDocParser::readFontsName | ( | MWAWEntry const & | entry | ) |
| protected

parse the fonts name eDcF

Referenced by createZones(), and EDText.

## ◆ readIndex()

bool EDocParser::readIndex | ( | MWAWEntry const & | entry | ) |
| protected

parse the index zone

Referenced by createZones(), and EDText.

## ◆ readInfo()

bool EDocParser::readInfo | ( | MWAWEntry const & | entry | ) |
| protected

parse the Info zone

Referenced by createZones(), and EDText.

## ◆ rsrcAscii()

libmwaw::DebugFile & EDocParser::rsrcAscii | ( |  | ) |
| protected

a DebugFile used to write what we recognize when we parse the document in rsrc

Referenced by createZones(), decodeZone(), EDText, readFontsName(), readIndex(), and readInfo().

## ◆ rsrcInput()

MWAWInputStreamPtr EDocParser::rsrcInput | ( |  | ) |
| protected

return the input input

Referenced by decodeZone(), EDText, readFontsName(), readIndex(), and readInfo().

## ◆ sendContents()

bool EDocParser::sendContents | ( |  | ) |
| protected

try to send the contents

Referenced by EDText, and parse().

## ◆ sendIndex()

bool EDocParser::sendIndex | ( |  | ) |
| protected

try to send the index

Referenced by EDText, and sendContents().

## ◆ sendPicture()

bool EDocParser::sendPicture | ( | int | pictId,
|  | bool | compressed )
| protected

try to send a picture

Referenced by EDText, flushExtra(), and sendContents().

## Friends And Related Symbol Documentation

## ◆ EDText

friend class EDText
| friend

Referenced by EDText.

## Member Data Documentation

## ◆ m_state

std::shared_ptr<EDocParserInternal::State> EDocParser::m_state
| protected

the state

Referenced by checkHeader(), createDocument(), EDocParser(), findContents(), flushExtra(), init(), newPage(), readIndex(), sendContents(), sendIndex(), and sendPicture().

The documentation for this class was generated from the following files:

- EDocParser.hxx
- EDocParser.cxx